register_check_parameters(
   subgroup_applications,
    "backups",
    _("Time since last backup"),
    Tuple(
        title = _("Time since last backup"),
        elements = [
            Integer(
                title = _("Warning Level for time since last backup"),
                help = _("Warning Level for time since last backup. "
                         "For a value of 0 the warning level will not be used"),
                unit = _("days"),
                default_value = 0,
            ),
            Integer(
                title = _("Critical Level for time since last backup"),
                help = _("Critical Level for time since last backup. "
                         "For a value of 0 the critical level will not be used"),
                unit = _("days"),
                default_value = 0,
            ),
        ]
    ),
    None,
    "first"
)

register_check_parameters(
    subgroup_os,
    "nsx_memory",
    _("Main memory usage of VMWare NSX system"),
    Tuple(
        title = _("Specify levels in percentage of total RAM"),
        elements = [
          Percentage(title = _("Warning at a RAM usage of"), default_value = 80.0),
          Percentage(title = _("Critical at a RAM usage of"), default_value = 90.0),
        ]),
    None,
    match_type = "first",
)

register_check_parameters(
    subgroup_os,
    "nsx_storage",
    _("Storage usage of VMWare NSX system"),
    Tuple(
        title = _("Specify levels in percentage of total RAM"),
        elements = [
          Percentage(title = _("Warning at a storage usage of"), default_value = 80.0),
          Percentage(title = _("Critical at a storage usage of"), default_value = 90.0),
        ]),
    None,
    match_type = "first",
)
